# 必要なライブラリを読み込みます
library(stats)

# CSVファイルを読み込みます
dat_Miya <- read.csv("Miya22citizen.csv", header = TRUE, row.names = 1)

# データフレームを0と1からなるバイナリーデータに変換します
data_binary <- as.data.frame(lapply(dat_Miya, function(x) ifelse(x > 0, 1, 0)))
rownames(data_binary) <- rownames(dat_Miya)

# バイナリーデータをCSVファイルに保存します
#write.csv(data_binary, "030_hclust_binary_data.csv", row.names = TRUE)

# 距離行列を計算します（例としてジャッカード距離を使用）
jc.dist<- dist(data_binary, method = "binary")

# 階層的クラスタリングを実行します
hc <- hclust(jc.dist, method = "ward.D")
#hc <- hclust(dist_matrix, method = "average")


###################################################
# デンドログラムを描画します
pdf("out_hclust.pdf")
plot(hc, labels = rownames(data_binary), main = "ward.D", xlab = "", sub = "", cex = 0.9)
dev.off()

